Package org.apache.sysds.runtime.io

# Class FrameWriterTextCSV

java.lang.Object
org.apache.sysds.runtime.io.FrameWriter
org.apache.sysds.runtime.io.FrameWriterTextCSV

Direct Known Subclasses:
  `FrameWriterTextCSVParallel`

public class FrameWriterTextCSV extends FrameWriter
Single-threaded frame text csv writer.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BLOCKSIZE_J`

## Constructor Summary

Constructors
Constructor
Description
`FrameWriterTextCSV(FileFormatPropertiesCSV props)`

## Method Summary

Modifier and Type
Method
Description
`final void`
`writeFrameToHDFS(FrameBlock src, String fname, long rlen, long clen)`

### Methods inherited from class org.apache.sysds.runtime.io.FrameWriter

`setForcedParallel`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BLOCKSIZE_J

public static final int BLOCKSIZE_J

See Also:
  - Constant Field Values

## Constructor Details

### FrameWriterTextCSV

public FrameWriterTextCSV(FileFormatPropertiesCSV props)

## Method Details

### writeFrameToHDFS

public final void writeFrameToHDFS(FrameBlock src, String fname, long rlen, long clen) throws IOException, DMLRuntimeException

Specified by:
  `writeFrameToHDFS` in class `FrameWriter`
Throws:
  `IOException`
  `DMLRuntimeException`